package hsmw.jotto5.beleg.data;

/**
 * Beschreibt eine studierende Person.
 */
public class Student extends Person {

	@WebField(displayAs = "Matrikelnummer")
	public String studentNumber;

	/**
	 * Konstruktor zum manuellen Erzeugen.
	 *
	 * Siehe auch Konstruktor der Person-Klasse.
	 * @param uid Die zu vergebende UID
	 * @param name Der Vorname
	 * @param lastName Der Nachname
	 * @param number Die Matrikelnummer
	 */
	public Student(String uid, String name, String lastName, String studentNumber) {
		super(uid, name, lastName);
		this.studentNumber = studentNumber;
	}

}
